textures/sfx/bullseye
{
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	deformVertexes autosprite
	{
		clampmap textures/sfx/bullseye.tga
		blendfunc add
		rgbGen identity
		tcMod stretch sin 0.8 0.2 0 0.2
		tcMod rotate 200
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		rgbGen identity
		tcMod stretch sin 0.8 0.2 0 0.3
		tcMod rotate 70
		alphaFunc GE128
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		rgbGen identity
		tcMod stretch sin 0.8 0.2 0 0.2
		tcMod rotate 50
		alphaFunc GE128
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		rgbGen identity
		tcMod stretch sin 0.8 0.2 0 0.1
		tcMod rotate 30
		alphaFunc GE128
	}
}

textures/base_trim/border11light
{
	q3map_lightimage textures/base_trim/border11light.glow.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/base_trim/border11light.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc add
		rgbGen wave sin 1 0.8 20 1
	}
}

textures/sfx/launchpad_diamond
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/sfx/launchpad_diamond.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc add
		tcMod scroll 0 2
	}
}

textures/sfx/metalfloorred
{
	q3map_lightimage textures/sfx/metalfloorredglow.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/sfx/metalfloorred.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/metalfloorredglow.tga
		blendfunc add
		rgbGen wave sin 0.9 0.5 0 2
	}
}

textures/sfx/metalfloorblue
{
	q3map_lightimage textures/sfx/metalfloorblueglow.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/sfx/metalfloorblue.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/metalfloorblueglow.tga
		blendfunc add
		rgbGen wave sin 0.9 0.5 0 2
	}
}

textures/base_floor/diamond2c_ow
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
	}
	{
		map textures/base_floor/diamond2c_ow.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap
	}
}

textures/base_floor/diamond2cspot
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/liquids/proto_grueldark2.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.03
		tcMod turb 0 0.05 0 0.05
	}
	{
		map textures/effects/tinfx3.tga
		blendfunc add
		tcGen environment
	}
	{
		map textures/base_floor/diamond2cspot.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap
	}
}

textures/sfx/spawn_floord2c
{
	surfaceparm nodamage
	{
		map textures/sfx/proto_zzztblu.tga
		rgbGen identity
		tcMod scroll 0 1
		tcMod turb 0 0.25 0 5.6
		tcMod scale 2 2
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 130
		tcMod stretch sin 0.8 0.2 0 0.2
	}
	{
		clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 80
		tcMod stretch sin 0.8 0.2 0 0.1
	}
	{
		map textures/sfx/spawn_floord2c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap
	}
}

textures/sfx/pentfloor_diamond2c
{
	qer_editorimage textures/sfx/pentfloor_diamond2c.tga
	surfaceparm nodamage
	{
		map textures/sfx/pentfloor_diamond2c.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5
		depthFunc equal
	}
}

textures/sfx/diamond2cjumppad
{
	qer_editorimage textures/sfx/bouncepad01_diamond2cTGA.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map textures/sfx/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5
		tcMod stretch sin 1.2 0.8 0 1.5
	}
}

textures/sfx/portal_sfx_ring_blue
{
	surfaceparm nodamage
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 2 0 0.5
	{
		map textures/sfx/portal_sfx_ring_blue1.tga
		blendfunc blend
		rgbGen wave sin 0.8 0.8 1 0.5
	}
	{
		map textures/sfx/portal_sfx_ring_electric.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 10 10
		tcMod scroll 0 0.5
		tcMod scale 1 2
		tcMod turb 0 0.1 1 1
	}
	{
		map textures/sfx/portal_sfx1.tga
		blendfunc filter
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx_ring_blue.tga
		blendfunc add
		rgbGen const ( 0 0 0.25098 )
		tcMod turb 0 0.01 0 0.01
	}
}

textures/sfx/portal_sfx_ring_red
{
	surfaceparm nodamage
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 2 0 0.5
	{
		map textures/sfx/portal_sfx_ring_blue1.tga
		blendfunc blend
		rgbGen wave sin 0.8 0.8 1 0.5
	}
	{
		map textures/sfx/portal_sfx_ring_electric.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 10 10
		tcMod scroll 0 0.5
		tcMod scale 1 2
		tcMod turb 0 0.1 1 1
	}
	{
		map textures/sfx/portal_sfx1.tga
		blendfunc filter
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx_ring_red.tga
		blendfunc add
		rgbGen const ( 0.545098 0.00392157 0.0588235 )
		tcMod turb 0 0.01 0 0.01
	}
}

textures/base_floor/rusty_pentagrate
{
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm playerclip
	cull disable
	{
		map textures/base_floor/rusty_pentagrate.tga
		blendfunc blend
	}
}

textures/base_floor/diamond2c
{
	surfaceparm nodamage
	{
		map textures/base_floor/diamond2c.tga
	}
}

textures/sfx/border11c
{
	qer_editorimage textures/base_trim/border11c.tga
	q3map_lightimage textures/base_trim/border11c_pulse1.tga
	q3map_surfacelight 300
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc add
		rgbGen wave sin 1 0.1 0 5
	}
	{
		map textures/base_trim/border11c_pulse1b.tga
		blendfunc add
		tcMod scale 0.035 1
		tcMod scroll -0.65 0
	}
}

textures/base_light/ceil1_22a
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil1_30
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc add
	}
}

textures/base_floor/atech2_c
{
	surfaceparm nodamage
	{
		map textures/base_floor/atech2_c.tga
	}
}

textures/base_floor/atech3_a
{
	surfaceparm nodamage
	{
		map textures/base_floor/atech3_a.tga
	}
}

textures/base_light/runway
{
	q3map_lightimage textures/base_light/runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/base_light/runway_glow.tga
		rgbGen wave square -1 2 0.5 8
		tcMod scale 1 0.25
		tcMod scroll 0 0.5
	}
	{
		map textures/base_light/runway.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/base_light/runwayb.tga
		blendfunc add
		rgbGen identity
	}
}

textures/liquids/fog
{
	qer_editorimage textures/liquids/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 0 0 0 ) 5000
}